# $Revision: 1.10 $, $Date: 2007/02/13 08:06:38 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	Filter-NSNormalise
Summary:	XML::Filter::NSNormalise - SAX filter to normalise namespace prefixes
Summary(pl.UTF-8):	XML::Filter::NSNormalise - filtr SAX normalizujący prefiksy przestrzeni nazw
Name:		perl-XML-Filter-NSNormalise
Version:	0.04
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6d42b4b4df10bce96a6a8a57bab99f4d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-XML-NamespaceSupport >= 1.08
BuildRequires:	perl-XML-SAX >= 0.11
BuildRequires:	perl-XML-SAX-Writer >= 0.44
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This SAX (version 2) filter can be used to transform documents to
ensure the prefixes associated with namespaces are used consistently.

%description -l pl.UTF-8
Ten filtr SAX (w wersji 2) może być używany do przekształcania
dokumentów w celu upewnienia się, że prefiksy powiązane z
przestrzeniami nazw są używane spójnie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/XML/*/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-Filter-NSNormalise.spec,v $
Revision 1.10  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.8  2004/11/03 22:30:55  paladine
- formatting

Revision 1.7  2004/10/31 22:36:06  paladine
- spaces->tabs
- formatting

Revision 1.6  2004/05/06 19:38:10  qboosh
- fixed contact info

Revision 1.5  2004/05/06 19:17:31  qboosh
- pl desc

Revision 1.4  2004/05/06 18:21:30  ankry
- fixed perl-devel BR

Revision 1.3  2004/05/06 02:07:06  ankry
- pl summary, formatting

Revision 1.2  2004/05/05 20:26:51  radek
- added forgotten md5

Revision 1.1  2004/05/05 20:25:36  radek
- new
